Source: dh-exec
Section: devel
Priority: optional
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper-compat (= 13),
               automake,
               libpipeline-dev, pkg-config,
               perl:any (>= 5.14.2~),
               libdpkg-perl (>= 1.17.14~),
               bats <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://salsa.debian.org/debian/dh-exec
Vcs-Browser: https://salsa.debian.org/debian/dh-exec
Vcs-Git: https://salsa.debian.org/debian/dh-exec.git

Package: dh-exec
Multi-Arch: foreign
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         ${perl:Depends}, perl, debhelper, libdpkg-perl,
         debhelper
Description: Scripts to help with executable debhelper files
 Debhelper (in compat level 9 and above) allows its config files to be
 executable, and uses the output of such scripts as if it was the
 content of the config file.
 .
 To ease and standardize the most common tasks, this package provides
 a few solutions to help constructing such executable scripts:
 .
  * A way to ease variable substitution, from environment variables or
    dpkg-architecture.
  * Ability to filter files by architecture or build profile, within a
    single debhelper control file.
  * An extension to dh_install and dh_installman, with the ability to
    rename files.
